Skip to content
Ona Docs

ListSCIMConfigurations

client.organizations.scimConfigurations.list(ScimConfigurationListParams { token, pageSize, pagination } params, RequestOptionsoptions?): ScimConfigurationsPage<ScimConfiguration { id, createdAt, organizationId, 6 more } >
POST/gitpod.v1.OrganizationService/ListSCIMConfigurations

Lists SCIM configurations for an organization.

Use this method to:

  • View all SCIM configurations
  • Monitor provisioning status
  • Audit SCIM settings

Examples

  • List SCIM configurations:

    Shows all SCIM configurations for an organization.

    pagination:
      pageSize: 20
ParametersExpand Collapse
params: ScimConfigurationListParams { token, pageSize, pagination }
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
ReturnsExpand Collapse
ScimConfiguration { id, createdAt, organizationId, 6 more }

SCIMConfiguration represents a SCIM 2.0 provisioning configuration

id: string

id is the unique identifier of the SCIM configuration

formatuuid
createdAt: string

created_at is when the SCIM configuration was created

formatdate-time
organizationId: string

organization_id is the ID of the organization this SCIM configuration belongs to

formatuuid
tokenExpiresAt: string

token_expires_at is when the current SCIM token expires

formatdate-time
updatedAt: string

updated_at is when the SCIM configuration was last updated

formatdate-time
allowUnverifiedEmailAccountLinking?: boolean

allow_unverified_email_account_linking allows SCIM to link provisioned users to existing accounts when the identity provider does not mark the email address as verified

enabled?: boolean

enabled indicates if SCIM provisioning is active

name?: string

name is a human-readable name for the SCIM configuration

maxLength128
ssoConfigurationId?: string

sso_configuration_id is the linked SSO configuration (optional)

formatuuid

ListSCIMConfigurations

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const scimConfiguration of client.organizations.scimConfigurations.list({
  pagination: { pageSize: 20 },
})) {
  console.log(scimConfiguration.id);
}
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "allowUnverifiedEmailAccountLinking": true,
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "allowUnverifiedEmailAccountLinking": true,
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}